# Node class

(Shortest import: `from brian2.spatialneuron.morphology import Node)`

class brian2.spatialneuron.morphology.Node(index, comp_name, x, y, z, diameter, parent, children)

  Bases: `tuple`

  Attributes

  `children` | Alias for field number 7
  `comp_name` | Alias for field number 1
  `diameter` | Alias for field number 5
  `index` | Alias for field number 0
  `parent` | Alias for field number 6
  `x` | Alias for field number 2
  `y` | Alias for field number 3
  `z` | Alias for field number 4

  Details

  children

    Alias for field number 7

  comp_name

    Alias for field number 1

  diameter

    Alias for field number 5

  index

    Alias for field number 0

  parent

    Alias for field number 6

  x

    Alias for field number 2

  y

    Alias for field number 3

  z

    Alias for field number 4